Skip to main content
POST
/
v1
/
jobs
curl --request POST \ --url https://api.videobgremover.com/v1/jobs \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <api-key>' \ --data ' { "filename": "my-video.mp4", "content_type": "video/mp4" } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "status": "created", "filename": "<string>", "content_type": "<string>", "upload_url": "<string>", "expires_at": "2023-11-07T05:31:56Z", "created_at": "2023-11-07T05:31:56Z", "instructions": { "method": "PUT", "headers": { "Content-Type": "<string>" }, "note": "<string>" } }

Authorizations

X-Api-Key
string
header
required

API key with format vbr_ followed by 32 characters

Body

application/json
filename
string
required

Name of the video file

Example:

"my-video.mp4"

content_type
enum<string>
required

MIME type of the video file (1GB max size)

Available options:
video/mp4,
video/mov,
video/webm
Example:

"video/mp4"

Response

Job created successfully

id
string<uuid>

Unique job identifier

status
enum<string>

Job status

Available options:
created
filename
string

Original filename

content_type
string

File content type

upload_url
string<uri>

Signed URL for uploading the video file

expires_at
string<date-time>

Upload URL expiration time

created_at
string<date-time>

Job creation timestamp

instructions
object